import { ImportRoomKeyProgressData } from "../crypto-api";
export type { Curve25519AuthData as ICurve25519AuthData, Aes256AuthData as IAes256AuthData, KeyBackupInfo as IKeyBackupInfo, Curve25519SessionData, KeyBackupSession as IKeyBackupSession, KeyBackupRoomSessions as IKeyBackupRoomSessions, } from "../crypto-api/keybackup";
export interface IKeyBackupPrepareOpts {
    /**
     * Whether to use Secure Secret Storage to store the key encrypting key backups.
     * Optional, defaults to false.
     */
    secureSecretStorage: boolean;
}
export interface IKeyBackupRestoreResult {
    total: number;
    imported: number;
}
export interface IKeyBackupRestoreOpts {
    cacheCompleteCallback?: () => void;
    progressCallback?: (progress: ImportRoomKeyProgressData) => void;
}
//# sourceMappingURL=keybackup.d.ts.map